POV-Ray : Newsgroups : povray.unix : Building 3.7.0.0: Where's ./configure? : Re: Building 3.7.0.0: Where's ./configure? Server Time
18 May 2024 05:43:51 EDT (-0400)
  Re: Building 3.7.0.0: Where's ./configure?  
From: dick balaska
Date: 12 Nov 2018 03:00:45
Message: <5be9332d$1@news.povray.org>
On 11/12/18 12:57 AM, Gergely Szaktilla wrote:
> On 11/12/2018 06:37 AM, E-mailyvo s gmx.net wrote:
>> First run prebuild.sh from the unix folder and then all will be clear ;-)
> 
> Well, no ;-)
> 
> There still isn't any ./configure script.
> 
> Regards,
> 
> Gregor
> 
> 

Do you get any errors?  Does it look like it's doing anything?  There
are hundreds of lines output from ./prebuild.sh .
It is difficult to diagnose your problem based on

" Well, no ;-) "

I see:
$ wget https://github.com/POV-Ray/povray/archive/v3.7.0.0.tar.gz
$ tar -xvzf v3.7.0.0.tar.gz
$ cd povray-3.7.0.0/unix/
$ ./prebuild.sh
$ cd ..
$ ls
aclocal.m4   configure     ini             povray.1       scripts
AUTHORS      configure.ac  INSTALL         povray.conf    source
bootstrap    COPYING       kde_install.sh  povray.ini.in  unix
ChangeLog    distribution  libraries       README         VERSION
changes.txt  doc           LICENSE         README.md      vfe
config.h.in  icons         Makefile.am     revision.txt   windows
config.log   include       NEWS            scenes
$ ./configure COMPILED_BY="Dick Balaska <dic### [at] buckosoftcom>"

...

Jr would know for sure, but if you are using a recent Slackware you may
want to use v3.7.0.7

(Ubuntu 18 has build issues with 3.7.0.0 but works fine with 3.7.0.7)

-- 
dik
Rendered 1024 of 921600 pixels (0%)


Post a reply to this message

Copyright 2003-2023 Persistence of Vision Raytracer Pty. Ltd.